INTEL_LOGICAL_RINGS_(9)

NAME
intel_logical_rings_init - allocate, populate and init the Engine Command Streamers

SYNOPSIS

int intel_logical_rings_init(struct drm_device * dev);

ARGUMENTS

dev
    DRM device.

DESCRIPTION

This function inits the engines for an Execlists submission style (the equivalent in the legacy ringbuffer submission world would be i915_gem_init_rings). It does it only for those engines that are present in the hardware.

RETURN

non-zero if the initialization failed.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT